<style>
	#outer{
		display: flex;
		flex: 1 1 auto;
		justify-content: space-between;
		align-items: flex-start;
	}
	button:hover{
		cursor: pointer;
	}
	button:focus{
		outline: none;
	}
	button{
		padding: 1em;
		background-color: #000;
		border: #222 1px solid;
		color: #FFF;
		text-transform: uppercase;
		text-decoration: none;
	}
	#slot{
		display: flex;
		padding: 1em;
		justify-content: center;
		align-items: center;
		flex-flow: column wrap;
	}
</style>
<script>
	import {createEventDispatcher} from 'svelte'
	const dispatch = createEventDispatcher()
</script>
<div id='outer'>
	<button on:click={()=>dispatch('draw')}>draw a card</button>
	<div id='slot'><slot></slot></div>
	<button on:click={()=>dispatch('reset')}>reset cards</button>
</div>
